using Core.Entities;

namespace Core.Calculation;

public class TeamIdComparer : IEqualityComparer<Team>
{
    public bool Equals(Team? x, Team? y)
    {
        return x != null && y != null && x.Id == y.Id;
    }

    public int GetHashCode(Team obj)
    {
        return obj.Id.GetHashCode();
    }
}